AppdefEntityConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefEntityConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefEntityConstants

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefEntityConstants

    public final class AppdefEntityConstants

extends java.lang.Object

Field Summary
`static int` | `APPDEF_TYPE_AIIP`
`static int` | `APPDEF_TYPE_AIPLATFORM`
`static int` | `APPDEF_TYPE_AISERVER`
`static int` | `APPDEF_TYPE_APPLICATION`
`static int` | `APPDEF_TYPE_AUTOGROUP`
`static int` | `APPDEF_TYPE_GROUP`
`static int` | `APPDEF_TYPE_GROUP_ADHOC_APP`
`static int` | `APPDEF_TYPE_GROUP_ADHOC_GRP`
`static int` | `APPDEF_TYPE_GROUP_ADHOC_PSS`
`static int` | `APPDEF_TYPE_GROUP_COMPAT_PS`
`static int` | `APPDEF_TYPE_GROUP_COMPAT_SVC`
`static int` | `APPDEF_TYPE_PLATFORM`
`static int` | `APPDEF_TYPE_SERVER`
`static int` | `APPDEF_TYPE_SERVICE`
`static java.lang.String` | `GENERIC_APPLICATION_TYPE`
`static int` | `RESTREE_TRAVERSE_NORMAL`
`static int` | `RESTREE_TRAVERSE_UP`

Constructor Summary
`AppdefEntityConstants()`

Method Summary
`static int` | `appdefTypeToEntityInfoType(int appdefType)` Convert a TypeInfo PDK entity type into an Appdef entity type.
`static int` | `entityInfoTypeToAppdefType(int entityInfoType)`
`static java.lang.String` | `getAppdefGroupTypeName(int grpType)`
`static int[]` | `getAppdefGroupTypes()`
`static int[]` | `getAppdefGroupTypesNormalized()`
`static int[]` | `getAppdefTypes()` get primary appdef types
`static boolean` | `groupTypeIsValid(int type)`
`static boolean` | `isGroupAdhoc(int grpType)`
`static boolean` | `isGroupCompat(int grpType)`
`static int` | `stringToType(java.lang.String name)`
`static boolean` | `typeIsValid(int type)`
`static java.lang.String` | `typeToString(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPDEF_TYPE_PLATFORM

    public static final int APPDEF_TYPE_PLATFORM

See Also:
  Constant Field Values

### APPDEF_TYPE_SERVER

    public static final int APPDEF_TYPE_SERVER

See Also:
  Constant Field Values

### APPDEF_TYPE_SERVICE

    public static final int APPDEF_TYPE_SERVICE

See Also:
  Constant Field Values

### APPDEF_TYPE_APPLICATION

    public static final int APPDEF_TYPE_APPLICATION

See Also:
  Constant Field Values

### APPDEF_TYPE_GROUP

    public static final int APPDEF_TYPE_GROUP

See Also:
  Constant Field Values

### APPDEF_TYPE_AIPLATFORM

    public static final int APPDEF_TYPE_AIPLATFORM

See Also:
  Constant Field Values

### APPDEF_TYPE_AISERVER

    public static final int APPDEF_TYPE_AISERVER

See Also:
  Constant Field Values

### APPDEF_TYPE_AIIP

    public static final int APPDEF_TYPE_AIIP

See Also:
  Constant Field Values

### APPDEF_TYPE_AUTOGROUP

    public static final int APPDEF_TYPE_AUTOGROUP

See Also:
  Constant Field Values

### GENERIC_APPLICATION_TYPE

    public static final java.lang.String GENERIC_APPLICATION_TYPE

See Also:
  Constant Field Values

### RESTREE_TRAVERSE_NORMAL

    public static final int RESTREE_TRAVERSE_NORMAL

See Also:
  Constant Field Values

### RESTREE_TRAVERSE_UP

    public static final int RESTREE_TRAVERSE_UP

See Also:
  Constant Field Values

### APPDEF_TYPE_GROUP_ADHOC_APP

    public static final int APPDEF_TYPE_GROUP_ADHOC_APP

See Also:
  Constant Field Values

### APPDEF_TYPE_GROUP_ADHOC_GRP

    public static final int APPDEF_TYPE_GROUP_ADHOC_GRP

See Also:
  Constant Field Values

### APPDEF_TYPE_GROUP_ADHOC_PSS

    public static final int APPDEF_TYPE_GROUP_ADHOC_PSS

See Also:
  Constant Field Values

### APPDEF_TYPE_GROUP_COMPAT_PS

    public static final int APPDEF_TYPE_GROUP_COMPAT_PS

See Also:
  Constant Field Values

### APPDEF_TYPE_GROUP_COMPAT_SVC

    public static final int APPDEF_TYPE_GROUP_COMPAT_SVC

See Also:
  Constant Field Values

Constructor Detail

### AppdefEntityConstants

    public AppdefEntityConstants()

Method Detail

### getAppdefTypes

    public static int[] getAppdefTypes()

  get primary appdef types

### getAppdefGroupTypes

    public static int[] getAppdefGroupTypes()

### getAppdefGroupTypesNormalized

    public static int[] getAppdefGroupTypesNormalized()

### typeToString

    public static java.lang.String typeToString(int type)

### stringToType

    public static int stringToType(java.lang.String name)

### entityInfoTypeToAppdefType

    public static int entityInfoTypeToAppdefType(int entityInfoType)

### appdefTypeToEntityInfoType

    public static int appdefTypeToEntityInfoType(int appdefType)

  Convert a TypeInfo PDK entity type into an Appdef entity type.

### typeIsValid

    public static boolean typeIsValid(int type)

### groupTypeIsValid

    public static boolean groupTypeIsValid(int type)

### getAppdefGroupTypeName

    public static java.lang.String getAppdefGroupTypeName(int grpType)

### isGroupAdhoc

    public static boolean isGroupAdhoc(int grpType)

### isGroupCompat

    public static boolean isGroupCompat(int grpType)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.